package cn.com.qmth.stmms.biz.exam.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.exam.model.MarkGroupPK;
import cn.com.qmth.stmms.biz.exam.model.SelectiveGroup;

public interface SelectiveGroupDao extends PagingAndSortingRepository<SelectiveGroup, MarkGroupPK>,
        JpaSpecificationExecutor<SelectiveGroup> {

    @Query("select q from SelectiveGroup q where q.pk.examId=?1 and q.pk.subjectCode=?2 and q.pk.mainNumber=?3")
    SelectiveGroup findOne(Integer examId, String subjectCode, Integer mainNumber);

    @Modifying(clearAutomatically = true)
    @Query("delete from SelectiveGroup q where q.pk.examId=?1 and q.pk.subjectCode=?2")
    void deleteByExamIdAndSubjectCode(Integer examId, String subjectCode);

    @Query("select q from SelectiveGroup q where q.pk.examId=?1 and q.pk.subjectCode=?2 order by q.pk.mainNumber")
    List<SelectiveGroup> findByExamIdAndSubjectCode(Integer examId, String subjectCode);

}
