package cn.com.qmth.stmms.biz.exam.model;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(name = "eb_selective_group")
public class SelectiveGroup implements Serializable {

    private static final long serialVersionUID = 7866856607752769258L;

    @EmbeddedId
    private SelectiveGroupPK pk;

    @Column(name = "selective_index", nullable = false)
    private Integer selectiveIndex;

    @Column(name = "selective_count", nullable = false)
    private Integer selectiveCount;

    public SelectiveGroup() {
        this.pk = new SelectiveGroupPK();
    }

    public SelectiveGroup(Integer examId, String subjectCode, Integer mainNumber, Integer selectiveIndex,
            Integer selectiveCount) {
        this.pk = new SelectiveGroupPK();
        this.pk.setExamId(examId);
        this.pk.setSubjectCode(subjectCode);
        this.pk.setMainNumber(mainNumber);
        this.selectiveCount = selectiveCount;
        this.selectiveIndex = selectiveIndex;
    }

    public Integer getExamId() {
        return pk.getExamId();
    }

    public void setExamId(Integer examId) {
        pk.setExamId(examId);
    }

    public String getSubjectCode() {
        return pk.getSubjectCode();
    }

    public void setSubjectCode(String subjectCode) {
        pk.setSubjectCode(subjectCode);
    }

    public Integer getMainNumber() {
        return pk.getMainNumber();
    }

    public void setMainNumber(Integer mainNumber) {
        pk.setMainNumber(mainNumber);
    }

    public Integer getSelectiveIndex() {
        return selectiveIndex;
    }

    public void setSelectiveIndex(Integer selectiveIndex) {
        this.selectiveIndex = selectiveIndex;
    }

    public Integer getSelectiveCount() {
        return selectiveCount;
    }

    public void setSelectiveCount(Integer selectiveCount) {
        this.selectiveCount = selectiveCount;
    }

}
