package cn.com.qmth.stmms.biz.exam.service.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import cn.com.qmth.stmms.biz.common.BaseQueryService;
import cn.com.qmth.stmms.biz.exam.dao.SelectiveGroupDao;
import cn.com.qmth.stmms.biz.exam.model.SelectiveGroup;
import cn.com.qmth.stmms.biz.exam.service.SelectiveGroupService;

@Service("selectiveGroupService")
public class SelectiveGroupServiceImpl extends BaseQueryService<SelectiveGroup> implements SelectiveGroupService {

    @Autowired
    private SelectiveGroupDao selectiveGroupDao;

    @Transactional
    @Override
    public SelectiveGroup save(SelectiveGroup group) {
        return selectiveGroupDao.save(group);
    }

    @Transactional
    @Override
    public void save(List<SelectiveGroup> list) {
        selectiveGroupDao.save(list);
    }

    @Override
    public SelectiveGroup findOne(int examId, String subjectCode, int mainNumber) {
        return selectiveGroupDao.findOne(examId, subjectCode, mainNumber);
    }

    @Override
    public List<SelectiveGroup> findByExamIdAndSubjectCode(int examId, String code) {
        return selectiveGroupDao.findByExamIdAndSubjectCode(examId, code);
    }

    @Transactional
    @Override
    public void deleteByExamIdAndSubjectCode(int examId, String subjectCode) {
        selectiveGroupDao.deleteByExamIdAndSubjectCode(examId, subjectCode);
    }

}
