package cn.com.qmth.stmms.api.controller;

import java.util.Set;

import javax.servlet.http.HttpServletRequest;

import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import cn.com.qmth.stmms.biz.exam.service.SubjectUserService;
import cn.com.qmth.stmms.common.annotation.RoleRequire;
import cn.com.qmth.stmms.common.domain.ApiUser;
import cn.com.qmth.stmms.common.enums.Role;
import cn.com.qmth.stmms.common.utils.RequestUtils;

@Controller("loginApiController")
@RequestMapping("/api")
public class LoginController extends BaseApiController {

    public static final String SUBJECT_CODE_SPLIT = ",";

    @Autowired
    private SubjectUserService subjectUserService;

    @RoleRequire({ Role.SCHOOL_ADMIN, Role.SCANNER, Role.SUBJECT_HEADER })
    @RequestMapping(value = "/user/login", method = RequestMethod.GET)
    @ResponseBody
    public JSONObject login(HttpServletRequest request) {
        ApiUser user = RequestUtils.getApiUser(request);
        JSONObject obj = new JSONObject();
        obj.accumulate("userId", user.getUserData() != null ? user.getUserData().getId() : 0);
        obj.accumulate("userName", user.getUserData() != null ? user.getUserData().getName() : "");
        obj.accumulate("userRole", user.getRole().toString());
        obj.accumulate("campusId", 0);
        obj.accumulate("schoolId", user.getSchoolId());
        JSONArray array = new JSONArray();
        if (user.getUserData() != null && Role.SUBJECT_HEADER.equals(user.getRole())) {
            Set<String> set = subjectUserService.findSubjectCode(user.getUserData().getId());
            for (String subjectCode : set) {
                array.add(subjectCode);
            }
            obj.accumulate("subjectCode", array);
        } else {
            obj.accumulate("subjectCode", array);
        }
        return obj;
    }
}
