<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>评卷任务</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<ul class="nav nav-tabs">
	<li><a href="${ctx}/admin/exam/mark?subjectCode=${query.subjectCode}">评卷进度</a></li>
    <li><a href="${ctx}/admin/exam/group?subjectCode=${query.subjectCode}">分组管理</a></li>
    <li><a href="${ctx}/admin/exam/marker?subjectCode=${query.subjectCode}">评卷员管理</a></li>
    <li><a href="${ctx}/admin/exam/trial?subjectCode=${query.subjectCode}">试评管理</a></li>
    <li class="active"><a href="##">任务管理</a></li>
    <li><a href="${ctx}/admin/exam/arbitrate?subjectCode=${query.subjectCode}">仲裁管理</a></li>
    <li><a href="${ctx}/admin/exam/quality?subjectCode=${query.subjectCode}">质量监控</a></li>
</ul>
<form id="searchForm" action="${ctx}/admin/exam/library" method="post" class="breadcrumb form-search">
    <input type="hidden" id="pageNumber" name="pageNumber" value="${query.pageNumber }"/>
    <input type="hidden" id="pageSize" name="pageSize" value="${query.pageSize }"/>
    <div>
        <label>科目</label>
        <select class="input-large" id="subject-select" name="subjectCode">
            <c:forEach items="${subjectList}" var="item">
                <option value="${item.code}" <c:if test="${item.code==query.subjectCode}">selected</c:if>>${item.code}-${item.name}</option>
            </c:forEach>
        </select>
        <label>分组</label>
        <select class="input-medium" id="group-select" name="groupNumber">
            <c:forEach items="${groupList}" var="item">
                <option value="${item.number}" <c:if test="${item.number==query.groupNumber}">selected</c:if>>${item.number}-${item.title}</option>
            </c:forEach>
        </select>
        <label>状态</label>
        <select class="input-small" id="status-select" name="status">
            <option value="">不限</option>
            <c:forEach items="${statusList}" var="item">
                <option value="${item.value}" <c:if test="${item.value==status.value}">selected</c:if>>${item.name}</option>
            </c:forEach>
        </select>
        <label>评卷员</label>
        <select class="input-medium" id="marker-select" name="markerId">
            <option value="0">不限</option>
            <c:forEach items="${markerList}" var="item">
                <option value="${item.id}" <c:if test="${item.id==query.markerId}">selected</c:if>>${item.loginName}</option>
            </c:forEach>
        </select>
        <label>选做题</label>
        <select class="input-small"  name="unselective">
            <option value="false"<c:if test="${!query.unselective}">selected</c:if>>不限</option>
	        <option value="true" <c:if test="${query.unselective}">selected</c:if>>未选做</option>
        </select>
        <br/><br/>
        <c:if test="${web_user.schoolAdmin==true || forbiddenScore==false}">
        <label>准考证号</label>
        <input type="text" name="examNumber" value="${query.examNumber}" maxlength="20" class="input-medium"/>
        &nbsp;
        </c:if>
        <label>考生编号</label>
        <input type="text" name="secretNumber" id="secretNumber" value="${query.secretNumber}" class="input-medium"/>
        &nbsp;
        <label>总分：从</label>
        <input type="number" id="startScroe" name="startScroe" value="${query.startScroe}" class="input-mini"/>
        <label> 到&nbsp;&nbsp;&nbsp;</label>
        <input type="number" id="endScroe" name="endScroe" value="${query.endScroe}" class="input-mini"/>
        &nbsp;
        <label>小题得分</label>
        <input type="text" number="true" name="questionScore" id="questionScore" value="${query.questionScore }" class="input-mini"/>
        &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
        &nbsp;
        <c:if test="${examType!='MULTI_MEDIA' && inspectedCount!=null}">
            <a target="_blank" href="${ctx}/web/admin/exam/library/inspected/start?subjectCode=${query.subjectCode}&groupNumber=${query.groupNumber}" class="btn">待复核：${inspectedCount }</a>
        </c:if>
    </div>
</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th>科目代码</th>
        <th>分组序号</th>
        <th>准考证号</th>
        <th>考生编号</th>
        <th>状态</th>
        <th>评卷员</th>
        <th>评卷总分</th>
        <th>给分明细</th>
        <th>评卷时间</th>
        <th>操作</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${query.result}" var="result">
        <tr>
            <td>${result.subjectCode}</td>
            <td>${result.groupNumber}</td>
            <td>
            	<c:if test="${web_user.subjectHeader==true && forbiddenInfo==true}">
	            ***
	            </c:if>
	            <c:if test="${web_user.schoolAdmin==true || forbiddenInfo==false}">
	            ${result.examNumber}
	            </c:if>
            </td>
            <td>${result.secretNumber}</td>
            <td>${result.status.name}</td>
            <td>${result.markerLoginName}</td>
            <td>
                <c:if test="${result.markerScore!=null}">
                	<c:if test="${result.markerScore==-1}">未选做</c:if>
                    <c:if test="${result.markerScore!=-1}"><fmt:formatNumber pattern="###.###" value="${result.markerScore}"/></c:if>
                </c:if>
                <c:if test="${result.markerScore==null}">
                    &nbsp;
                </c:if>
            </td>
            <td>
                <c:if test="${result.markerScoreList!=null}">
                    ${result.markerScoreList}
                </c:if>
                <c:if test="${result.markerScoreList==null}">
                    &nbsp;
                </c:if>
            </td>
            <td>
                <c:if test="${result.markerTime!=null}">
                    <fmt:formatDate value="${result.markerTime}" pattern="yyyy-MM-dd HH:mm:ss"/>
                </c:if>
                <c:if test="${result.markerTime==null}">
                    &nbsp;
                </c:if>
            </td>
            <td>
                <c:if test="${result.status.value==1 || result.status.value==3 ||result.status.value==5 ||result.status.value==6}">
                   <%--  <c:if test="${examType=='MULTI_MEDIA'}">
                        <a class="json-link" href="${ctx}/admin/exam/library/getJson?studentId=${result.studentId}&groupNumber=${result.groupNumber}" target="_blank">原图</a>
                    </c:if>
                    <c:if test="${examType!='MULTI_MEDIA'}"> --%>
                      	<a href="${ctx}/web/admin/exam/track/library?libraryId=${result.id}&subjectCode=${result.subjectCode}" target="_blank">查看</a>
                   <%--  </c:if> --%>
                </c:if>
                <c:if test="${result.status.value==1 || result.status.value==5 ||result.status.value==6}">
                    &nbsp;
                    <a href="##" data-id="${result.id}" class="back-link">打回</a>
                </c:if>
            </td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<div class="pagination">${query}</div>
<%@include file="/WEB-INF/views/include/trackView.jsp" %>
<script type="text/javascript">
    $('.back-link').click(function () {
        if (!confirm('确定要打回该评卷任务吗?')) {
            return;
        }
        $.post('${ctx}/admin/exam/library/reject', {id: $(this).attr('data-id')}, function (result) {
            if (result.success == true) {
                alert('打回成功');
                $("#searchForm").submit();
            } else {
                alert(result.message);
            }
        });
    });
    $('#subject-select').change(function () {
        var code = $(this).val();
        $('#group-select').empty();
        if (code == '') {
            $('#group-select').val('').trigger('change');
            return;
        }
        $.post('${ctx}/admin/exam/group/query', {subjectCode: code, status: 'FORMAL'}, function (result) {
            var parent = $('#group-select');
            var first = '';
            for (var i = 0; i < result.length; i++) {
                var group = result[i];
                $('<option value="' + group.number + '">' + group.number + '-' + group.title + '</option>').appendTo(parent);
                if (i == 0) {
                    first = group.number;
                }
            }
            parent.val(first).trigger('change');
        });
    });
    $('#group-select').change(function () {
        var subjectCode = $('#subject-select').val();
        var groupNumber = $('#group-select').val();
        $('#marker-select').empty();
        $('#marker-select').append('<option value="0">不限</option>');
        $('#marker-select').val('0').trigger('change');
        if (subjectCode == '' || groupNumber == '' || groupNumber == null) {
            return;
        }
        $.post('${ctx}/admin/exam/marker/query', {subjectCode: subjectCode, groupNumber: groupNumber}, function (result) {
            var parent = $('#marker-select');
            var first = '';
            for (var i = 0; i < result.length; i++) {
                var marker = result[i];
                $('<option value="' + marker.id + '">' + marker.loginName + '</option>').appendTo(parent);
                if (i == 0) {
                    first = marker.id;
                }
            }
            //parent.val(first).trigger('change');
        });
    });

    function page(n, s) {
        $("#pageNumber").val(n);
        $("#pageSize").val(s);
        $("#searchForm").submit();
        return false;
    }

    function goSearch() {
        var startScroe = $("#startScroe").val();
        var endScore = $("#endScroe").val();
        if (startScroe.length > 0) {
            if (endScore.length == 0) {
                alert("请输入结束分数值！");
                return false;
            }
        }
        if (endScore.length > 0) {
            if (startScroe.length == 0) {
                alert("请输入开始分数值！");
                return false;
            }
        }
        if (endScore.length > 0 && startScroe.length > 0) {
            if (parseInt(startScroe) > parseInt(endScore)) {
                alert("开始分值必须小于结束分值");
                return false;
            }
        }
        $("#pageNumber").val(1);
        $("#searchForm").submit();
        return false;
    }
</script>
</body>
</html>
