<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>试题列表</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
	<%-- <%@include file="/WEB-INF/views/include/examInfoNavTabs.jsp" %> --%>
	<form id="searchForm" action="${ctx}/admin/exam/paper/detail" method="post" class="breadcrumb form-search">
		<input name="subjectCode" value="${subject.code}" type="hidden"/>
		<div>
			<label>科目：${subject.code}-${subject.name}</label>
			<label>客观总分：<fmt:formatNumber pattern="###.###" value="${subject.objectiveScore}"/></label>
			<label>主观总分：<fmt:formatNumber pattern="###.###" value="${subject.subjectiveScore}"/></label>
			<label>试卷总分：<fmt:formatNumber pattern="###.###" value="${subject.totalScore}"/></label>
			&nbsp;
			<select id="type-select" name="objective" class="input-small">
				<option value="">不限</option>
				<option value="true" <c:if test="${objective!=null && objective==true}">selected</c:if>>客观题</option>
				<option value="false" <c:if test="${objective!=null && objective==false}">selected</c:if>>主观题</option>
			</select>
			&nbsp;		
			<a class="btn" href="${ctx}/admin/exam/paper">返回</a>
		</div>
	</form>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
			    <th>试卷类型</th>
				<th>大题名称</th>
				<th>大题号</th>
				<th>小题号</th>
				<th>满分</th>
				<th>间隔分</th>
				<th>答案</th>
				<th>判分策略</th>
				<th>分组</th>
				<th>操作</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${questionList}" var="question">
			<tr>
			    <td>${question.paperType}</td>
				<td>${question.mainTitle}</td>
				<td>${question.mainNumber}</td>
				<td>${question.subNumber}</td>
				<td><fmt:formatNumber pattern="###.###" value="${question.totalScore}"/></td>
				<td><fmt:formatNumber pattern="###.###" value="${question.intervalScore}"/></td>
				<td>${question.answer}</td>
				<td>
					<c:if test="${question.objective}">
					<c:if test="${question.objectivePolicy==null}">无</c:if>
					${question.objectivePolicy.name}
					</c:if>
				</td>
				<td><c:if test="${!question.objective}">${question.groupNumber}</c:if>
				</td>
				<td>
					<c:if test="${question.objective}"><a href="${ctx}/admin/exam/paper/question-edit/${question.id}">编辑</a></c:if>
					<c:if test="${question.groupNumber==null ||question.groupNumber==0}"><a href="${ctx}/admin/exam/paper/question-delete/${question.id}" class="delete-button">删除</a></c:if>
				</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
<script type="text/javascript">
$('#type-select').change(function(){
	$('#searchForm').submit();
});
$('.delete-button').click(function () {
    return confirm('确定要删除吗？');
});
</script>	
</body>
</html>